DIPlib Documentation - ©1995-2010 Quantitative Imaging Group, Delft University of Technology.

# FeatureConvertFunction

Measurement feature #convert function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureConvertFunction) ( in, featureID, inID, out, outID, resources )

## FUNCTION

The `convert` function should convert the measurement data of the feature `feaureID` for the object `inID` in the measurement `in` to object `outID` of measurement `out`. This function is called by `MeasurementFeatureConvert`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `in` | Input measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `inID` | ID of the object in `in`
`dip_Measurement` | `out` | Output measurement data structure
`dip_int` | `outID` | ID of the object in `out`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MeasurementFeatureRegister`, `MeasurementFeatureConvert`

DIPlib on-line documentation | Function reference | Global function index